
From: Adrian Bunk <bunk@stusta.de>

This patch contains the follwing cleanups:
- make needlessly global code static
- remove obsolete Emacs settings

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Cc: Jeff Garzik <jgarzik@pobox.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/pcmcia/ibmtr_cs.c           |    3 ---
 drivers/net/tokenring/3c359.c           |    3 ++-
 drivers/net/tokenring/3c359_microcode.h |    2 +-
 drivers/net/tokenring/abyss.c           |   11 -----------
 drivers/net/tokenring/ibmtr.c           |   28 ++++++++++++++--------------
 drivers/net/tokenring/madgemc.c         |   14 +-------------
 drivers/net/tokenring/proteon.c         |   11 -----------
 drivers/net/tokenring/skisa.c           |   11 -----------
 drivers/net/tokenring/smctr.c           |    2 +-
 drivers/net/tokenring/smctr_firmware.h  |    2 +-
 drivers/net/tokenring/tms380tr.c        |   13 +------------
 drivers/net/tokenring/tmspci.c          |   11 -----------
 12 files changed, 21 insertions(+), 90 deletions(-)

diff -puN drivers/net/pcmcia/ibmtr_cs.c~drivers-net-tokenring-cleanups drivers/net/pcmcia/ibmtr_cs.c
--- 25/drivers/net/pcmcia/ibmtr_cs.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/pcmcia/ibmtr_cs.c	2005-05-02 18:21:22.000000000 -0700
@@ -119,9 +119,6 @@ static void ibmtr_detach(dev_link_t *);
 
 static dev_link_t *dev_list;
 
-extern int ibmtr_probe_card(struct net_device *dev);
-extern irqreturn_t tok_interrupt (int irq, void *dev_id, struct pt_regs *regs);
-
 /*====================================================================*/
 
 typedef struct ibmtr_dev_t {
diff -puN drivers/net/tokenring/3c359.c~drivers-net-tokenring-cleanups drivers/net/tokenring/3c359.c
--- 25/drivers/net/tokenring/3c359.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/3c359.c	2005-05-02 18:21:22.000000000 -0700
@@ -276,7 +276,8 @@ static void  xl_ee_write(struct net_devi
 	return ; 
 }
  
-int __devinit xl_probe(struct pci_dev *pdev, const struct pci_device_id *ent) 
+static int __devinit xl_probe(struct pci_dev *pdev,
+			      const struct pci_device_id *ent)
 {
 	struct net_device *dev ; 
 	struct xl_private *xl_priv ; 
diff -puN drivers/net/tokenring/3c359_microcode.h~drivers-net-tokenring-cleanups drivers/net/tokenring/3c359_microcode.h
--- 25/drivers/net/tokenring/3c359_microcode.h~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/3c359_microcode.h	2005-05-02 18:21:22.000000000 -0700
@@ -22,7 +22,7 @@
 
 static int mc_size = 24880 ; 
 
-u8 microcode[] = { 
+static const u8 microcode[] = {
  0xfe,0x3a,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
 ,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
 ,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
diff -puN drivers/net/tokenring/abyss.c~drivers-net-tokenring-cleanups drivers/net/tokenring/abyss.c
--- 25/drivers/net/tokenring/abyss.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/abyss.c	2005-05-02 18:21:22.000000000 -0700
@@ -468,14 +468,3 @@ static void __exit abyss_rmmod (void)
 module_init(abyss_init);
 module_exit(abyss_rmmod);
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c abyss.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c abyss.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
diff -puN drivers/net/tokenring/ibmtr.c~drivers-net-tokenring-cleanups drivers/net/tokenring/ibmtr.c
--- 25/drivers/net/tokenring/ibmtr.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/ibmtr.c	2005-05-02 18:21:22.000000000 -0700
@@ -151,7 +151,7 @@ static char version[] __initdata =
 
 /* this allows displaying full adapter information */
 
-char *channel_def[] __devinitdata = { "ISA", "MCA", "ISA P&P" };
+static char *channel_def[] __devinitdata = { "ISA", "MCA", "ISA P&P" };
 
 static char pcchannelid[] __devinitdata = {
 	0x05, 0x00, 0x04, 0x09,
@@ -171,7 +171,7 @@ static char mcchannelid[] __devinitdata 
 	0x03, 0x08, 0x02, 0x00
 };
 
-char __devinit *adapter_def(char type)
+static char __devinit *adapter_def(char type)
 {
 	switch (type) {
 	case 0xF: return "PC Adapter | PC Adapter II | Adapter/A";
@@ -184,7 +184,7 @@ char __devinit *adapter_def(char type)
 
 #define TRC_INIT 0x01		/*  Trace initialization & PROBEs */
 #define TRC_INITV 0x02		/*  verbose init trace points     */
-unsigned char ibmtr_debug_trace = 0;
+static unsigned char ibmtr_debug_trace = 0;
 
 static int 	ibmtr_probe(struct net_device *dev);
 static int	ibmtr_probe1(struct net_device *dev, int ioaddr);
@@ -192,20 +192,20 @@ static unsigned char get_sram_size(struc
 static int 	trdev_init(struct net_device *dev);
 static int 	tok_open(struct net_device *dev);
 static int 	tok_init_card(struct net_device *dev);
-void 		tok_open_adapter(unsigned long dev_addr);
+static void	tok_open_adapter(unsigned long dev_addr);
 static void 	open_sap(unsigned char type, struct net_device *dev);
 static void 	tok_set_multicast_list(struct net_device *dev);
 static int 	tok_send_packet(struct sk_buff *skb, struct net_device *dev);
 static int 	tok_close(struct net_device *dev);
-irqreturn_t tok_interrupt(int irq, void *dev_id, struct pt_regs *regs);
+static irqreturn_t tok_interrupt(int irq, void *dev_id, struct pt_regs *regs);
 static void 	initial_tok_int(struct net_device *dev);
 static void 	tr_tx(struct net_device *dev);
 static void 	tr_rx(struct net_device *dev);
-void 		ibmtr_reset_timer(struct timer_list*tmr,struct net_device *dev);
+static void	ibmtr_reset_timer(struct timer_list*tmr,struct net_device *dev);
 static void	tok_rerun(unsigned long dev_addr);
-void 		ibmtr_readlog(struct net_device *dev);
+static void	ibmtr_readlog(struct net_device *dev);
 static struct 	net_device_stats *tok_get_stats(struct net_device *dev);
-int 		ibmtr_change_mtu(struct net_device *dev, int mtu);
+static int	ibmtr_change_mtu(struct net_device *dev, int mtu);
 static void	find_turbo_adapters(int *iolist);
 
 static int ibmtr_portlist[IBMTR_MAX_ADAPTERS+1] __devinitdata = {
@@ -928,7 +928,7 @@ static int tok_open(struct net_device *d
 #define DLC_MAX_SAP_OFST        32
 #define DLC_MAX_STA_OFST        33
 
-void tok_open_adapter(unsigned long dev_addr)
+static void tok_open_adapter(unsigned long dev_addr)
 {
 	struct net_device *dev = (struct net_device *) dev_addr;
 	struct tok_info *ti;
@@ -1099,7 +1099,7 @@ static void __iomem *map_address(struct 
 	return ti->sram_virt + index;
 }
 
-void dir_open_adapter (struct net_device *dev)
+static void dir_open_adapter (struct net_device *dev)
 {
         struct tok_info *ti = (struct tok_info *) dev->priv;
         unsigned char ret_code;
@@ -1172,7 +1172,7 @@ void dir_open_adapter (struct net_device
 
 /******************************************************************************/
 
-irqreturn_t tok_interrupt(int irq, void *dev_id, struct pt_regs *regs)
+static irqreturn_t tok_interrupt(int irq, void *dev_id, struct pt_regs *regs)
 {
 	unsigned char status;
 	/*  unsigned char status_even ; */
@@ -1840,7 +1840,7 @@ static void tr_rx(struct net_device *dev
 
 /*****************************************************************************/
 
-void ibmtr_reset_timer(struct timer_list *tmr, struct net_device *dev)
+static void ibmtr_reset_timer(struct timer_list *tmr, struct net_device *dev)
 {
 	tmr->expires = jiffies + TR_RETRY_INTERVAL;
 	tmr->data = (unsigned long) dev;
@@ -1872,7 +1872,7 @@ void tok_rerun(unsigned long dev_addr){
 
 /*****************************************************************************/
 
-void ibmtr_readlog(struct net_device *dev)
+static void ibmtr_readlog(struct net_device *dev)
 {
 	struct tok_info *ti;
 
@@ -1905,7 +1905,7 @@ static struct net_device_stats *tok_get_
 
 /*****************************************************************************/
 
-int ibmtr_change_mtu(struct net_device *dev, int mtu)
+static int ibmtr_change_mtu(struct net_device *dev, int mtu)
 {
 	struct tok_info *ti = (struct tok_info *) dev->priv;
 
diff -puN drivers/net/tokenring/madgemc.c~drivers-net-tokenring-cleanups drivers/net/tokenring/madgemc.c
--- 25/drivers/net/tokenring/madgemc.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/madgemc.c	2005-05-02 18:21:22.000000000 -0700
@@ -625,7 +625,7 @@ static int madgemc_chipset_init(struct n
 /*
  * Disable the board, and put back into power-up state.
  */
-void madgemc_chipset_close(struct net_device *dev)
+static void madgemc_chipset_close(struct net_device *dev)
 {
 	/* disable interrupts */
 	madgemc_setint(dev, 0);
@@ -786,15 +786,3 @@ module_exit(madgemc_exit);
 
 MODULE_LICENSE("GPL");
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c madgemc.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c madgemc.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
-
diff -puN drivers/net/tokenring/proteon.c~drivers-net-tokenring-cleanups drivers/net/tokenring/proteon.c
--- 25/drivers/net/tokenring/proteon.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/proteon.c	2005-05-02 18:21:22.000000000 -0700
@@ -419,14 +419,3 @@ void cleanup_module(void)
 }
 #endif /* MODULE */
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c proteon.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c proteon.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
diff -puN drivers/net/tokenring/skisa.c~drivers-net-tokenring-cleanups drivers/net/tokenring/skisa.c
--- 25/drivers/net/tokenring/skisa.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/skisa.c	2005-05-02 18:21:22.000000000 -0700
@@ -429,14 +429,3 @@ void cleanup_module(void)
 }
 #endif /* MODULE */
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c skisa.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c skisa.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
diff -puN drivers/net/tokenring/smctr.c~drivers-net-tokenring-cleanups drivers/net/tokenring/smctr.c
--- 25/drivers/net/tokenring/smctr.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/smctr.c	2005-05-02 18:21:22.000000000 -0700
@@ -77,7 +77,7 @@ static int ringspeed;
 
 /* SMC Name of the Adapter. */
 static char smctr_name[] = "SMC TokenCard";
-char *smctr_model = "Unknown";
+static char *smctr_model = "Unknown";
 
 /* Use 0 for production, 1 for verification, 2 for debug, and
  * 3 for very verbose debug.
diff -puN drivers/net/tokenring/smctr_firmware.h~drivers-net-tokenring-cleanups drivers/net/tokenring/smctr_firmware.h
--- 25/drivers/net/tokenring/smctr_firmware.h~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/smctr_firmware.h	2005-05-02 18:21:22.000000000 -0700
@@ -21,7 +21,7 @@
 
 #if defined(CONFIG_SMCTR) || defined(CONFIG_SMCTR_MODULE)
 
-unsigned char smctr_code[] = {
+static const unsigned char smctr_code[] = {
 	0x0BC, 0x01D, 0x012, 0x03B, 0x063, 0x0B4, 0x0E9, 0x000,
 	0x000, 0x01F, 0x000, 0x001, 0x001, 0x000, 0x002, 0x005,
 	0x001, 0x000, 0x006, 0x003, 0x001, 0x000, 0x004, 0x009,
diff -puN drivers/net/tokenring/tms380tr.c~drivers-net-tokenring-cleanups drivers/net/tokenring/tms380tr.c
--- 25/drivers/net/tokenring/tms380tr.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/tms380tr.c	2005-05-02 18:21:22.000000000 -0700
@@ -2379,7 +2379,7 @@ EXPORT_SYMBOL(tmsdev_init);
 EXPORT_SYMBOL(tmsdev_term);
 EXPORT_SYMBOL(tms380tr_wait);
 
-struct module *TMS380_module = NULL;
+static struct module *TMS380_module = NULL;
 
 int init_module(void)
 {
@@ -2397,14 +2397,3 @@ void cleanup_module(void)
 
 MODULE_LICENSE("GPL");
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c tms380tr.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c tms380tr.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
diff -puN drivers/net/tokenring/tmspci.c~drivers-net-tokenring-cleanups drivers/net/tokenring/tmspci.c
--- 25/drivers/net/tokenring/tmspci.c~drivers-net-tokenring-cleanups	2005-05-02 18:21:22.000000000 -0700
+++ 25-akpm/drivers/net/tokenring/tmspci.c	2005-05-02 18:21:22.000000000 -0700
@@ -254,14 +254,3 @@ static void __exit tms_pci_rmmod (void)
 module_init(tms_pci_init);
 module_exit(tms_pci_rmmod);
 
-
-/*
- * Local variables:
- *  compile-command: "gcc -DMODVERSIONS  -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c tmspci.c"
- *  alt-compile-command: "gcc -DMODULE -D__KERNEL__ -Wall -Wstrict-prototypes -O6 -fomit-frame-pointer -I/usr/src/linux/drivers/net/tokenring/ -c tmspci.c"
- *  c-set-style "K&R"
- *  c-indent-level: 8
- *  c-basic-offset: 8
- *  tab-width: 8
- * End:
- */
_
